#ifndef CHICAGOPIZZASTORE_H_
#define CHICAGOPIZZASTORE_H_

#include "Pizza.h"
#include "PizzaStore.h"
#include "ChicagoStylePizza.h"

class ChicagoPizzaStore : public PizzaStore
{
public:
    Pizza *create_pizza(const Type type)
    {
        switch (type)
        {
            case Type::CHEESE:    return new ChicagoStyleCheesePizza();
            case Type::VEGGIE:    return new ChicagoStyleVeggiePizza();
            case Type::CLAM:      return new ChicagoStyleClamPizza();
            case Type::PEPPERONI: return new ChicagoStylePepperoniPizza();

            default: return nullptr;
        }
    }
};

#endif /* CHICAGOPIZZASTORE_H_ */
