#ifndef CHICAGOSTYLEPIZZA_H_
#define CHICAGOSTYLEPIZZA_H_

#include "Pizza.h"

class ChicagoStylePizza : public Pizza
{
public:
    void cut()
    {
        cout << "Cutting the pizza into square slices" << endl;
    }
};

class ChicagoStyleCheesePizza : public ChicagoStylePizza
{
public:
    ChicagoStyleCheesePizza()
    {
        name = "Chicago Style Deep Dish Cheese Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";

        toppings.push_back("Shredded Mozzarella Cheese");
    }
};

class ChicagoStyleVeggiePizza : public ChicagoStylePizza
{
public:
    ChicagoStyleVeggiePizza()
    {
        name = "Chicago Deep Dish Veggie Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";

        toppings.push_back("Shredded Mozzarella Cheese");
        toppings.push_back("Black Olives");
        toppings.push_back("Spinach");
        toppings.push_back("Eggplant");
    }
};

class ChicagoStyleClamPizza : public ChicagoStylePizza
{
public:
    ChicagoStyleClamPizza()
    {
        name = "Chicago Style Clam Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";

        toppings.push_back("Shredded Mozzarella Cheese");
        toppings.push_back("Frozen Clams from Chesapeake Bay");
    }
};

class ChicagoStylePepperoniPizza : public ChicagoStylePizza
{
public:
    ChicagoStylePepperoniPizza()
    {
        name = "Chicago Style Pepperoni Pizza";
        dough = "Extra Thick Crust Dough";
        sauce = "Plum Tomato Sauce";

        toppings.push_back("Shredded Mozzarella Cheese");
        toppings.push_back("Black Olives");
        toppings.push_back("Spinach");
        toppings.push_back("Eggplant");
        toppings.push_back("Sliced Pepperoni");
    }
};

#endif /* CHICAGOSTYLEPIZZA_H_ */
