#ifndef PIZZA_H_
#define PIZZA_H_

#include <string>
#include <vector>

using namespace std;

class Pizza
{
protected:
    string name;
    string dough;
    string sauce;
    vector<string> toppings;

public:
    string get_name() const { return name; }

    void prepare()
    {
        cout << "Prepare " << name << endl;
        cout << "Tossing dough ..." << endl;
        cout << "Adding sauce ..." << endl;
        cout << "Adding toppings:" << endl;

        for (string topping : toppings)
        {
            cout << "   " << topping << endl;
        }
    }

    void bake()
    {
        cout << "Bake for 25 minutes at 350" << endl;
    }

    void cut()
    {
        cout << "Cut the pizza into diagonal slices" << endl;
    }

    void box()
    {
        cout << "Place pizza in official PizzaStore box" << endl;
    }
};

#endif /* PIZZA_H_ */
